## Pre CTS Optimisation
###############################


## Opt Design  (ignore here to avoid long runtimes)
setOptMode -effort low
#optDesign -preCTS



## List allowed buffers 
#######################



set clockBuffersList {}
lappend clockBuffersList CKBUFM4R CKBUFM8R CKBUFM12R
lappend clockBuffersList CKINVM4R CKINVM8R CKINVM12R

## Set Mode
setCTSMode -reportHTML             false
setCTSMode -routeClkNet            true
setCTSMode -moveGate               true
setCTSMode -moveGateLimit          1000000
setCTSMode -opt                    true
setCTSMode -optAddBuffer           true
setCTSMode -useLibMaxCap           true
setCTSMode -useLibMaxFanout        false


set clkNet CLK

setAttribute -net $clkNet -reset

## Double Spacing
setAttribute -net $clkNet -preferred_extra_space 1

## Higher priority
setAttribute -net $clkNet -weight 10

## Avoid detour
setAttribute -net $clkNet -avoid_detour true



## Generate Spec
# -bufferList $clockBuffersList
cleanupSpecifyClockTree
createClockTreeSpec -clkGroup -bufferList $clockBuffersList -file encrypter.ctstch

## Do
##############
exec mkdir -p reports/cts/
specifyClockTree -clkfile encrypter.ctstch
changeClockStatus -noFixedBuffers -noFixedLeafInst -noFixedNetWires -all

catch {deleteClockTree -all}
#ckSynthesis -forceReconvergent
clockDesign

# Time design and save it
exec mkdir -p reports/timing/
if {[dbGet top.statusRouted]      == 0} {trialRoute}
if {[dbGet top.statusRCExtracted] == 0} {extractRC}
timeDesign -reportOnly -expandedViews -outDir reports/timing/  -numPaths 100 -prefix cts
timeDesign -reportOnly -expandedViews -outDir reports/timing/  -numPaths 100 -prefix cts_hold -hold
