
## Create Global nets  for VDD/VSS in core Area
############################
clearGlobalNets

#try to create power nets
catch {  
  addNet -physical VDD_CORE
  setNet -net VDD_CORE -type special
  dbSetIsNetPwr VDD_CORE
 
  addNet -physical GND_CORE
  setNet -net GND_CORE -type special
  dbSetIsNetGnd GND_CORE
}

## Make Global net connections for Standard Cells and RAM
#################################

## Stdcell
globalNetConnect VDD_CORE    -type pgpin -pin {VDD}    -inst * -override -verbose -netlistOverride
globalNetConnect GND_CORE    -type pgpin -pin {VSS}    -inst * -override -verbose -netlistOverride

## RAMS 
globalNetConnect VDD_CORE    -type pgpin -pin {VCC}    -inst * -override -verbose -netlistOverride
globalNetConnect GND_CORE    -type pgpin -pin {GND}    -inst * -override -verbose -netlistOverride

## 0/1 constants in design are tiehi/low
globalNetConnect VDD_CORE    -type tiehi
globalNetConnect GND_CORE    -type tielo

## Cover Core area with Power Stripes.
## Put stripes on layers 7/8 is ok, 9 and Redistribution remain then free for IO routing
setAddStripeMode -stripe_min_length 10.0

addStripe -direction vertical -layer ME7 -all_blocks 0 \
-snap_wire_center_to_grid Grid -nets {VDD_CORE GND_CORE} -width 1.4 -spacing 5 \
-set_to_set_distance 12.8 -xleft_offset 0.0 -ybottom_offset 0.0 \
-stacked_via_top_layer ME7 -stacked_via_bottom_layer ME6 \
-block_ring_top_layer_limit ME7 -block_ring_bottom_layer_limit ME6 \
-padcore_ring_bottom_layer_limit ME6 -padcore_ring_top_layer_limit ME7 

addStripe -direction horizontal -layer ME8 -all_blocks 0 \
-snap_wire_center_to_grid Grid -nets {VDD_CORE GND_CORE} -width 1.4 -spacing 5 \
-set_to_set_distance 12.8 -xleft_offset 0.0 -ybottom_offset 0.0 \
-stacked_via_top_layer ME8 -stacked_via_bottom_layer ME7 \
-block_ring_top_layer_limit ME8 -block_ring_bottom_layer_limit ME7 \
-padcore_ring_bottom_layer_limit ME7 -padcore_ring_top_layer_limit ME8



# Now We can finish power connections by calling sroute, and adding power vias from power stripes down to power structures for RAM and standard cells
sroute -connect { corePin padPin blockPin } -layerChangeRange { 1 6 } \
-checkAlignedSecondaryPin 1 -allowJogging 0 -crossoverViaBottomLayer 1 \
-allowLayerChange 1 -targetViaTopLayer 6 -crossoverViaTopLayer 6 \
-targetViaBottomLayer 1 -nets { GND_CORE  VDD_CORE } -corePinLayer { 1 } \
-padPinPortConnect allGeom -padPinLayerRange {4 8} \
-stripeSCpinTarget none


editPowerVia -add_vias 1 -bottom_layer ME1 -top_layer ME8 -skip_via_on_pin {}
