
## Prepare Timign uncertainty and period
######################

# Period 1ns
set     _period   1.3
set _SETUP_SKEW 0.150; 
set _HOLD_SKEW 0.05;

## Create Clock from top level clk port
######################
create_clock -name clk -period $_period [get_port  clk]

##Set Clock uncertainty: overclocking because we don't know how the physical constraints will look like
######################

set_clock_uncertainty $_SETUP_SKEW -setup clk
set_clock_uncertainty $_HOLD_SKEW  -hold  clk



## IO Delays
###########



## Common defined in % of the clock
## Those variables define from 0.0 (0%) to 1.0 (100%) the clock period part that counts as I/O delay
set _INPUT_DELAY  0.45
set _OUTPUT_DELAY 0.60


set realDelay [expr $_period*$_INPUT_DELAY]
set_input_delay -clock clk $realDelay [remove_from_collection [all_inputs] [concat clk res_n] ]

set realDelay [expr $_period*$_OUTPUT_DELAY]
set_output_delay -clock clk $realDelay [all_outputs]


## Input Drive
#set_driving_cell -lib_cell STN_BUF_8 [all_inputs]

## output cap
set _OUTPUT_CAP 0.15;

set_load -pin_load $_OUTPUT_CAP [all_outputs]



## Reset False path
set_false_path -from [get_port res_n]
