module counter_top (

    // System
    input clk,
    input res_n,



    // Control
    input hold,
    input clear,

    // Output
    output reg [15:0] value

    );

    // IO
    //-------------

    // Signal for internal connection
    wire hold_int;
    wire clear_int;
    wire clk_int;
    wire res_n_int;

    // IO Cell
    IUMA hold_in (
        .PAD(hold), // IO signal from counter_top
        .DI(hold_int), // Internal wire for counter
        .OE(1'b0), // Next: Enable signals for IO Features
        .PIN1(), .PIN2(), 
        .SMT(1'b0),.SR(), 
        .PD(1'b0), .PU(1'b0),.DO());

    // IO Cell
    IUMA res_in (
        .PAD(res_n), // IO signal from counter_top
        .DI(res_n_int), // Internal wire for counter
        .OE(1'b0), // Next: Enable signals for IO Features
        .PIN1(), .PIN2(), 
        .SMT(1'b0),.SR(), 
        .PD(1'b0), .PU(1'b0),.DO());

    // IO Cell
    IUMA clear_in (
        .PAD(clear), // IO signal from counter_top
        .DI(clear_int), // Internal wire for counter
        .OE(1'b0), // Next: Enable signals for IO Features
        .PIN1(), .PIN2(), 
        .SMT(1'b0),.SR(), 
        .PD(1'b0), .PU(1'b0),.DO());


    // IO Cell
    IUMA clk_in (
        .PAD(clk), // IO signal from counter_top
        .DI(clk_int), // Internal wire for counter
        .OE(1'b0), // Next: Enable signals for IO Features
        .PIN1(), .PIN2(), 
        .SMT(1'b0),.SR(), 
        .PD(1'b0), .PU(1'b0),.DO());


    wire [15:0] value_int;
    genvar i;
    generate
    for (i=0; i<16; i=i+1) begin
      IUMA value_out (.PAD(value[i]),.DO(value_int[i]),.DI(),.OE(1'b1),.PIN1(), .PIN2(), .SMT(1'b0), .SR(), .PD(1'b0), .PU(1'b0));
        end
    endgenerate 


  



    // Instance: Device Under Test (dut)
    //---------------
    counter   #(.SIZE(16))  counter (
        .clk(clk_int),
        .res_n(res_n_int),

        .hold(hold_int), // Changed!

        .clear(clear_int),
        .value(value_int)

    );


endmodule
